# Jan Sandström (Pixero) 2018

require 'sketchup'
Sketchup::require '3pt_Window/3pt_Window_main'

menu = UI.menu("Extensions").add_submenu("三点建窗")
toolbar = UI::Toolbar.new("三点建窗")

path = File.dirname(__FILE__) + "/3pt_Window/"

cmd = UI::Command.new("三点建窗") { Sketchup.active_model.select_tool JS::Window.new }

if(Sketchup.version.to_i >= 16)
    if(RUBY_PLATFORM =~ /darwin/)
      cmd.small_icon = path + "3pt_Window.pdf"
      cmd.large_icon = path + "3pt_Window.pdf"
    else
      cmd.small_icon = path + "3pt_Window.svg"
      cmd.large_icon = path + "3pt_Window.svg"
    end
  else
    cmd.small_icon = path + "3pt_Window.png"
    cmd.large_icon = path + "3pt_Window.png"
  end
  
  
#cmd.small_icon = cmd.large_icon = path + "3pt_Window.png"
cmd.status_bar_text = "三点建窗"
cmd.tooltip = "三点建窗"
menu.add_item(cmd)
toolbar.add_item(cmd)
